Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://app.magna.so/api/external/v1/transactions/{id}/status \ --header 'x-magna-api-token: <api-key>'
{ "isProcessed": true, "result": { "transactionId": "t1...uuid", "status": "COMPLETED", "groupId": "g1...uuid", "contractId": "c1...uuid", "hash": "0x...", "submittedAt": "2024-04-15T21:26:21.000Z", "completedAt": "2024-04-15T21:30:00.000Z", "operations": [ { "id": "op1...uuid", "type": "START_DISTRIBUTION", "status": "COMPLETED", "allocationId": "a1...uuid", "synchronizedAt": "2024-04-15T21:30:00.000Z" } ], "operationsSummary": { "total": 1, "completed": 1, "pending": 0 }, "isCompleted": true, "isIndexing": false } }
Look up the status of a transaction, including its operations and indexing state.
1
Successful response
Endpoint-specific result payload.